/** @file ppMergeFileGroup.c
 *
 *  @brief
 *
 *  @ingroup ppMerge
 *
 *  @author IfA
 *  @version $Revision: 1.2.18.1 $ $Name: not supported by cvs2svn $
 *  @date $Date: 2009-01-30 22:00:00 $
 *  Copyright 2009 Institute for Astronomy, University of Hawaii
 */

# include "ppMerge.h"

static void mergeFileGroupFree(ppMergeFileGroup *group)
{
    psFree(group->readouts);
    return;
}

ppMergeFileGroup *ppMergeFileGroupAlloc(void)
{
    ppMergeFileGroup *group = psAlloc(sizeof(ppMergeFileGroup));
    psMemSetDeallocator(group, (psFreeFunc)mergeFileGroupFree);

    group->readouts = NULL;
    group->read = false;
    group->busy = false;
    return group;
}
